<%
	var safeTitle = stripHTML(title).replace(/"/g, '&quot;').replace(/ & /g, ' &amp; '),				//" fixing syntax highlighting :)
		safeDescription = stripHTML(description).replace(/"/g, '&quot;').replace(/ & /g, ' &amp; '), 	//"
		safeThumbPath = (typeof pageThumbPath === UNDEF)? folderThumbFileName : pageThumbPath;
	
	
	out.println('<!doctype html>' +
		'\n<html ' + (shareFacebook? 'prefix="og: http://ogp.me/ns# fb: http://ogp.me/ns/fb#" ' : '') + 'lang="' + lang + '"' + ' class="no-js" data-level="' + level + '">' +
		'\n<!-- Generated by jAlbum: https://jalbum.net at ' + currentDate + ' (' + (license || 'unregistered') + ') -->');
	
	/*********************************************************************************
	 *									HEAD
	 */
	
	out.println('\t<head>');
	
		out.println('\t\t<meta charset="' + textEncoding + '">');
		out.println('\t\t<meta http-equiv="x-ua-compatible" content="ie=edge">');
		out.println('\t\t<meta name="viewport" content="width=device-width, initial-scale=1.0">');
		
		// Title
		out.println('\t\t<title>' + [ safeTitle, titleSEOText ].filter(Boolean).join(' ') + '</title>');
		
		// Google font
		if (typeof googleFont !== UNDEF && googleFont) {
			out.println('\t\t<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=' + googleFont + '">');
		}
		
		// Description
		out.println('\t\t<meta name="description" content="' + [ safeDescription || safeTitle, descriptionSEOText ].filter(Boolean).join(' ') + '">');
		
		// Author
		if (typeof writer !== UNDEF && writer) {
			out.println('\t\t<meta name="author" content="' + writer + '">');
		}
		
		// Generator
		out.println('\t\t<meta name="generator" content="' + [ 'jAlbum', internalVersion, '&', skinName, skinVersion, ('[' + styleName + ']') ].filter(Boolean).join(' ') + '">');
		
		// Keywords, tags
		var k = [];
		
		if (typeof keywords !== UNDEF && keywords) {
			k.push(keywords);
		}
		
		if (typeof albumTags !== UNDEF && albumTags) {
			k.push(albumTags);
		}
		
		if (k.length) {
			out.println('\t\t<meta name="keywords" content="' + k.join(' ') + '">');
		}
		
		// Folder thumbnail
		if (typeof pageUrl !== UNDEF && pageUrl) {
			out.println('\t\t<meta property="og:url" content="' + pageUrl + '">');
		}
		
		out.println('\t\t<meta property="og:image" content="' + safeThumbPath + '">');
		
		if (pageProtocol === 'https:') {
			out.println('\t\t<meta property="og:image:secure_url" content="' + safeThumbPath + '">');
		}
		out.println('\t\t<meta property="og:image:width" content="' + folderThumbSize.split('x')[0] + '">');
		out.println('\t\t<meta property="og:image:height" content="' + folderThumbSize.split('x')[1] + '">');
		out.println('\t\t<link rel="image_src" href="' + safeThumbPath + '">');
		out.println('\t\t<meta name="twitter:image" content="' + safeThumbPath + '">');
		
		// Title, description for OG
		out.println('\t\t<meta property="og:title" content="' + safeTitle + '">');
		if (safeDescription) {
			out.println('\t\t<meta property="og:description" content="' + safeDescription + '">');
		}
		
		// OG type
		out.println('\t\t<meta property="og:type" content="website">');
		
		// FB app ID
		if (facebookAppId) {
			out.println('\t\t<meta property="fb:app_id" content="' + facebookAppId + '">');
		}
		
		// Twitter-related meta tags
		out.println('\t\t<meta name="twitter:title" content="' + safeTitle + '">');
		out.println('\t\t<meta name="twitter:card" content="summary">');
		
		if (safeDescription) {
			out.println('\t\t<meta name="twitter:description" content="' + safeDescription + '">');
		}
		
		// Mobile-related meta
		out.println('\t\t<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">');
		out.println('\t\t<meta name="apple-mobile-web-app-capable" content="yes">');
		out.println('\t\t<meta name="format-detection" content="telephone=no">');
		
		// Tha main CSS file
		out.println('\t\t<link rel="stylesheet" href="' + resPath + '/common.css?v=' + skinVersion + '">');
		
		// Preloading theme image
		if (heroType === 'folderImage' || heroType === 'albumImage') {
			out.println('\t\t<link rel="preload" href="' + ((heroType === 'albumImage')? rootPath : '') + folderImageSmallFileName + '" as="image" media="(max-width: 800px)">');
			out.println('\t\t<link rel="preload" href="' + ((heroType === 'albumImage')? rootPath : '') + folderImageFileName + '" as="image" media="(min-width: 801px)">');
			out.println('\t\t<style>');
				out.println('\t\t\t@media (max-width:800px) { .hero { background-image: url(' + ((heroType === 'albumImage')? rootPath : '') + folderImageSmallFileName + '); } }');
				out.println('\t\t\t@media (min-width:801px) { .hero { background-image: url(' + ((heroType === 'albumImage')? rootPath : '') + folderImageFileName + '); } }');
			out.println('\t\t</style>');
		}
		
		// Custom page-related CSS
		getCustomPageCSS(currentObject);
		
		// Preloading icon font
		out.println('\t\t<link rel="preload" href="' + resPath + '/fonts/lazaicon18.woff?v=' + skinVersion + '" as="font" type="font/woff" crossorigin>');
		out.println('\t\t<link rel="preload" href="' + resPath + '/fonts/lazaicon18.ttf?v=' + skinVersion + '" as="font" type="font/ttf" crossorigin>');
		out.println('\t\t<link rel="prefetch" href="' + resPath + '/fonts/lazaicon18.svg?v=' + skinVersion + '" as="font">');
		
		// Favicon
		if (useFavicon) {
			out.println('\t\t<link rel="apple-touch-icon" sizes="180x180" href="' + resPath + '/apple-touch-icon.png">');
			out.println('\t\t<link rel="icon" type="image/png" sizes="32x32" href="' + resPath + '/favicon-32x32.png">');
			out.println('\t\t<link rel="icon" type="image/png" sizes="16x16" href="' + resPath + '/favicon-16x16.png">');
			out.println('\t\t<link rel="manifest" href="' + resPath + '/site.webmanifest" crossorigin="use-credentials">');
			out.println('\t\t<link rel="mask-icon" href="' + resPath + '/safari-pinned-tab.svg" color="' + pageBgColor + '">');
			out.println('\t\t<link rel="icon" href="' + resPath + '/favicon.ico">');
			out.println('\t\t<meta name="msapplication-TileColor" content="' + pageBgColor + '">');
			out.println('\t\t<meta name="msapplication-config" content="' + resPath + '/browserconfig.xml">');
			out.println('\t\t<meta name="theme-color" content="' + pageBgColor + '">');
		}
		
		if (headHook) {
			out.println('\t\t' + getProcessed(headHook));
		}
		
		if (googleAnalytics === 'gtag') {
			out.println('\t\t<script async src="https://www.googletagmanager.com/gtag/js?id=' + googleSiteID + '"></script>');
			out.println('\t\t<script>');
				out.println('\t\t\twindow.dataLayer=window.dataLayer||[];');
				out.println('\t\t\tfunction gtag(){dataLayer.push(arguments);}');
				out.println('\t\t\tgtag(\'js\',new Date());');
				out.println('\t\t\tgtag(\'config\',\'' + googleSiteID + '\',{\'send_page_view\':false});');
			out.println('\t\t</script>');
		}
		
	out.println('\t</head>');

	/*********************************************************************************
	 *									BODY
	 */
	 
	out.println('\t<body id="' + pageType + '" class="' + [
					pageType,
					'scrollable',
					lightStyle? 'light-mode' : 'dark-mode',
					level? 'sub-album' : 'top-level',
					fullWidthTopAndBottom? 'full-width' : 'page-wide',
					(level < blogDepth)? 'blog' : '',
					(pageType === 'page')? pageHook : ''
				].filter(Boolean).join(' ') + '">');

		 // Above body custom code

		if (bodyTopHook && !(bodyTopTopLevelOnly && level)) {
			if (bodyTopFitWidth) {
				out.println('\t\t<div class="above-body row"><div class="columns">' + getProcessed(bodyTopHook) + '</div></div>');
			} else {
				out.println(getProcessed(bodyTopHook));
			}
		}
		
		/*********************************************************************************
		 *								Top bar
		 */
		
		var hasSlider = pageType === 'index' && level < blogDepth && imageCount > 1,
			hasBreadcrumb = (typeof breadcrumbPath !== UNDEF) && breadcrumbPath,
			hasHomeBtn = logoName || (level > 0 && !_useTopNavigation),
			hasTopBarLeft = topNavigationPlacement === 'topbar' && topNavigation,
			hasTopBarRight = _anyShares || useSearch && pageType !== 'page' || backgroundAudio;
	
		if (hasHomeBtn || hasTopBarLeft || hasTopBarRight) {
			
			out.println('\t\t<section class="top-menu' + ((topNavigationPlacement === 'topbar' && topNavigation)? ' hasmenu' : '') +'">');
				out.println('\t\t\t<div class="row">');
				
				/*
				 *	Home button
				 */
				 
				if (hasHomeBtn) {
	
					out.print('\t\t\t\t<div class="home-link' + (logoName? ' haslogo' : '') + '">');
	
					if (logoName) {
						if (level > 0 || pageType === 'page') {
							// One level up button: subfolder
							out.print('<a href="' + rootPath + '/' + indexName + '" data-tooltip title="' + getText('home') + '"><img src="' + resPath + '/' + encodeURIComponent(logoName) + '"></a>');
						} else if (homepageAddress) {
							// Logo with Homepage link
							out.print(
								'<a href="' + homepageAddress + '" ' + (homepageLinkText? (' title="' + homepageLinkText + '"') : '') + '>' +
									'<img src="' + resPath + '/' + encodeURIComponent(logoName) + '">' +
								'</a>'
							);
						} else {
							// Logo, no link
							out.print('<img src="' + resPath + '/' + encodeURIComponent(logoName) + '">');
						}
					} else {
						// Home button
						if (level > 0 || pageType === 'page') {
							out.print('<a href="' + rootPath + '/' + indexName + '" class="icon-home" data-tooltip title="' + getText('home') + '"></a>');
						}
					}
	
					out.println('</div>');
				}
				
				/*
				 *	 Left column
				 */
				
				if (hasTopBarLeft) {
	
					out.println('\t\t\t\t<div class="left-column">');
	
						/*
						 *	Top navigation
						 */
						 
						if (topNavigationPlacement === 'topbar' && topNavigation) {
							// Top navigation toggle button (mobile)
							out.println('\t\t\t\t\t<div id="topnav">' +
									'<a id="topnav-toggle" class="icon-menu btn" data-tooltip title="' + getText('navigation') + '"></a>' +
									'<div class="top-nav">' + topNavigation + '</div>' +
								'</div>');
						}
	
					out.println('\t\t\t\t</div>');
	
				}
	
				/*
				 *	Right column
				 */
				
				if (hasTopBarRight) {
					
					out.println('\t\t\t\t<div class="right-column">');
		
						/*
						 *	Shares
						 */
			
						if (_anyShares) {
							out.println('\t\t\t\t\t<div class="social-links"></div>');
						}
			
						/*
						 *	Search
						 */
			
						if (useSearch && pageType !== 'page') {
							out.println('\t\t\t\t\t<form class="search' + (searchVisibleByDefault? ' active' : '') + '">' +
								'<div class="search-input"><label for="search-inp" class="hidden">' + getText('search') + '</label><input id="search-inp" type="text" placeholder="' + getText('searchPlaceholder') + '"></div>' +
								'<a class="search-btn icon-search" data-tooltip title="' + getText('search') + '"></a>' +
								'</form>');
						}
			
						/*
						 *	Background audio
						 */
			
						if (backgroundAudio) {
							out.println(
								'<a class="player-btn btn" data-rel="playlist" data-audioplayer=\'' + JSON.stringify(jsAudioPlayerVars) + '\'>' +
								// Pause button
								'<svg class="pause-btn" width="20px" height="20px" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">' +
								'<g class="disc" fill="' + topmenuTextColor + '"><path d="M3.812,16.188C2.229,14.603,1.25,12.416,1.25,10s0.979-4.603,2.562-6.188L2.929,2.929C1.12,4.738,0,7.238,0,10s1.12,5.262,2.929,7.071L3.812,16.188z"></path>	<path d="M16.188,3.812C17.771,5.397,18.75,7.584,18.75,10s-0.979,4.603-2.562,6.188l0.883,0.883C18.88,15.262,20,12.762,20,10s-1.12-5.262-2.929-7.071L16.188,3.812z"></path></g>' +
								'<g class="pause-icon" fill="' + topmenuTextColor + '"><rect x="6" y="6" width="3" height="8"></rect><rect x="11" y="6" width="3" height="8"></rect></g>' +
								'</svg>' +
								// Play button
								'<svg class="play-btn" width="20px" height="20px" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">' +
								'<g class="play-icon" fill="' + topmenuTextColor + '"><path d="M10,0C4.477,0,0,4.477,0,10s4.477,10,10,10s10-4.477,10-10S15.523,0,10,0z M7,14.571V5.429L15,10L7,14.571z"></path></g>' +
								'</svg></a>'
							);
						}
		
					out.println('\t\t\t\t</div>');
				}
			
				out.println('\t\t\t</div>');
			out.println('\t\t</section>');
		}

		/*********************************************************************************
		 *								Header a.k.a Hero
		 */

		out.println('\t\t<header class="header' + (hasSlider? (' slider-' + sliderType) : '') + '"' +
				((heroType === 'albumImage' || heroType === 'folderImage')? 
					(' style="background-image:url(' + ((heroType === 'albumImage')? (rootPath + '/') : '') + folderImageFileName + ');"') 
					: 
					''
				) +
			'>');

			/*
			 *	Top navigation
			 */
	
			if (topNavigation && topNavigationPlacement.startsWith('header')) {
				out.println('\t\t\t\t<div id="topnav" class="row text-' + topNavigationPlacement.substring(6).toLowerCase() + '"><div class="column">' +
						'<a id="topnav-toggle" class="icon-menu btn" data-tooltip title="' + getText('navigation') + '"></a>' +
						'<div class="top-nav">' + topNavigation + '</div>' +
					'</div></div>');
			}
	
			/*
			 *  Slider box :: full width
			 */
	
			if (hasSlider && sliderType === 'fullWidth') {
				out.println('<div class="row">' + getSliderCode() + '</div>');
			}
	
			out.println('\t\t\t<div class="row align-middle">');
	
			/*
			 *  Slider box :: small, left
			 */
	
			if (hasSlider && sliderType === 'small' && sidebarPosition === 'left') {
				out.println('\t\t\t\t<div class="large-5 medium-6 small-12 columns">' + getSliderCode() + '</div>');
			}
	
			out.println('\t\t\t\t<div class="' +
					((hasSlider && sliderType === 'small')? 'large-7 medium-6 small-12 ' : '') +
					'columns head-cont ' + titlePlacement +
					//(hasBreadcrumb? ' hasbreadcrumb' : '') +
				'">');
	
			/*
			 *  Breadcrumb path for left-aligned title
			 */
			 
			if (hasBreadcrumb && titlePlacement !== 'centered') {
				out.println('\t\t\t\t\t<div class="breadcrumb-path' +
						(((typeof uplink !== UNDEF) && uplink && heroNavigation === 'both')? ' indent' : '') +
					'">' + breadcrumbPath + '</div>');
			}
			
			out.println('\t\t\t\t\t<div class="head">');
	
			/*
			 *  Up link
			 */
	
			if ((heroNavigation === 'uplink' || heroNavigation === 'both') && (typeof uplink !== UNDEF) && uplink) {
				out.println('\t\t\t\t\t<a class="btn back-btn ' +
					((titlePlacement === 'centered')? 'icon-arrow-up' : 'icon-one-level-up') +
					'" href="' + uplink + '"' +
					(level? '' : ' target="_parent"') +
					(uplinkText? (' data-tooltip="' + uplinkText + '"') : '') +
					'></a>');
			}
	
			/*
			 *  Title
			 */
	
			if (pageType === 'index' && folderCaption || (hasBreadcrumb && titlePlacement === 'centered')) {
				out.println('\t\t\t\t\t<div class="page-title">' +
						// Breadcrumb path
						((hasBreadcrumb && titlePlacement === 'centered')? 
							('<div class="breadcrumb-path">' + breadcrumbPath + '</div>') 
							:
							''
						) +
						 // Folder title
						 (folderCaption? folderCaption : '') +
					 '</div>');
			} else {
				out.println('\t\t\t\t\t<div class="page-title"><h1>' + title + '</h1></div>');
			}
	
			/*
			 *	Start slideshow
			 */
	
			if (showStartSlideshow && (typeof itemCount !== UNDEF) && (typeof skippedCount !== UNDEF) && (itemCount > skippedCount)) {
				out.println('\t\t\t\t\t<a class="btn start-btn icon-play" data-tooltip="' + getText('startSlideshow') + '"></a>');
			}
	
			// Closing .head and .head-cont
			out.println('\t\t\t\t</div></div>');
	
			/*
			 *  Slider box :: small, right
			 */
	
			if (hasSlider && sliderType === 'small' && sidebarPosition === 'right') {
				out.println('\t\t\t<div class="large-5 medium-6 small-12 columns">' + getSliderCode() + '</div>');
			}
	
			out.println(getInclude('header.inc'));

		// Closing .row and header
		out.println('\t\t\t</div>\n\t\t</header>');
		
		if (topNavigation && topNavigationPlacement.startsWith('below')) {
			out.println('\t\t<section class="top-menu">');
				out.println('\t\t\t<div id="topnav" class="row text-' + topNavigationPlacement.substring(5).toLowerCase() + '"><div class="column">' +
						'<a id="topnav-toggle" class="icon-menu btn" data-tooltip title="' + getText('navigation') + '"></a>' +
						'<div class="top-nav">' + topNavigation + '</div>' +
					'</div></div>');
					/*
					out.println('\t\t\t\t<div class="columns text-' + topNavigationPlacement.substring(5).toLowerCase() + '">');
						out.println('\t\t\t\t\t<div class="top-nav">' + topNavigation + '</div>');
						out.println('\t\t\t\t\t<a href="javascript:void(0)" class="icon-menu hide"></a>');
					out.println('\t\t\t\t</div>');
					*/
			out.println('\t\t</section>');
		}

		/*********************************************************************************
		 *								Main content
		 */

		out.println('\t\t<div id="main" class="main">');
			out.println('\t\t\t<div class="row">');
				if (useSidebar && sidebarPosition === 'left') {
					// Sidebar: left
					out.println('\t\t\t\t<div class="large-3 medium-4 small-12 columns sidebar left">');
						out.println(getInclude('sidebar.inc'));
					out.println('\t\t\t\t</div>');
				}
			out.println('\t\t\t\t<div id="main-cont" class="' +
					(useSidebar? 'large-9 medium-8 small-12 columns' : 'medium-12 small-12 columns') +
				'">');
			out.println('\t\t\t\t\t<article class="cont' +
					((pageType === 'index' || pageHook === 'newimages-page')? ' base-overlay' : '') +
					((pageType === 'page')? ' page-wrap' : '') +
				'">');
%>
