<!doctype html>
<html ${htmlAttr} class="no-js" data-level="${level}">
	<!-- Generated by jAlbum: https://jalbum.net at ${currentDate} (<ja:if test="${license}" not value="">${license}</ja:if><ja:else>unregistered</ja:else>) -->
	<head>
		<meta charset="${textEncoding}">
		<meta http-equiv="x-ua-compatible" content="ie=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<title>${title}<ja:if exists="titleSEOText"> ${titleSEOText}</ja:if></title>
		<ja:if exists="googleFont"><link rel="stylesheet" href="https://fonts.googleapis.com/css?family=${googleFont}"></ja:if>
		<meta name="description" content="<ja:if exists="pageDescription">${pageDescription}</ja:if><ja:if exists="descriptionSEOText"> ${descriptionSEOText}</ja:if>">
		<ja:if exists="writer"><meta name="author" content="${writer}"></ja:if>
		<meta name="generator" content="jAlbum ${internalVersion} & ${skinName} ${skinVersion} [${styleName}]">
		<ja:if test=<%= typeof keywords !== 'undefined' || typeof albumTags !== 'undefined' %>><meta name="keywords" content="${keywords} ${albumTags}"></ja:if> 
		<ja:if exists="pageUrl"><meta property="og:url" content="${pageUrl}"></ja:if>
		<ja:if exists="pageThumbPath"><meta property="og:image" content="${pageThumbPath}">
		<ja:if test="${pageProtocol}" value="https:"><meta property="og:image:secure_url" content="${pageThumbPath}"></ja:if>
		<meta property="og:image:width" content="1024">
		<meta property="og:image:height" content="768">
		<link rel="image_src" href="${pageThumbPath}">
		<meta name="twitter:image" content="${pageThumbPath}"></ja:if>
		<meta property="og:title" content="${title}">
		<ja:if exists="pageDescription"><meta property="og:description" content="${pageDescription}"></ja:if>
		<meta property="og:type" content="website">
		<ja:if exists="facebookAppId"><meta property="fb:app_id" content="${facebookAppId}"></ja:if>
		<meta name="twitter:title" content="${title}">
		<meta name="twitter:card" content="summary">
		<ja:if exists="pageDescription"><meta name="twitter:description" content="${pageDescription}"></ja:if>
		<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="format-detection" content="telephone=no">
		<link rel="stylesheet" href="${resPath}/common.css?v=${skinVersion}">
		<%= getCustomPageCSS(currentObject); %>
		<ja:if test="${useFavicon}"><link rel="apple-touch-icon" sizes="180x180" href="${resPath}/apple-touch-icon.png">
		<link rel="icon" type="image/png" sizes="32x32" href="${resPath}/favicon-32x32.png">
		<link rel="icon" type="image/png" sizes="16x16" href="${resPath}/favicon-16x16.png">
		<link rel="manifest" href="${resPath}/site.webmanifest">
		<link rel="mask-icon" href="${resPath}/safari-pinned-tab.svg" color="${pageBgColor}">
		<link rel="icon" href="${resPath}/favicon.ico">
		<meta name="msapplication-TileColor" content="${pageBgColor}">
		<meta name="msapplication-config" content="${resPath}/browserconfig.xml">
		<meta name="theme-color" content="${pageBgColor}"></ja:if>
		<!--[if (lte IE 9)]><script src="${resPath}/modernizr.js"></script><![endif]-->
		<ja:if exists="headHook"><%= getProcessed(headHook) %></ja:if>
		<ja:if test="${googleAnalytics}" value="gtag">
		<script async src="https://www.googletagmanager.com/gtag/js?id=${googleSiteID}"></script>
		<script>
			window.dataLayer=window.dataLayer||[];
			function gtag(){dataLayer.push(arguments);}
			gtag('js',new Date());
			gtag('config','${googleSiteID}',{'send_page_view':false});
		</script>
		</ja:if>
	</head>
<%	
	out.println('<body id="' + pageType +'" class="' + 
			pageType + ' ' + 
			lightboxTheme + ' ' + 
			(level? 'sub-album' : 'top-level') + 
		'">');
	
		if (header) {
			// Above body custom code
			out.println(getProcessed(header));
		}
		
		/*********************
		 *	Main content
		 */
		out.println('\t<div class="main paused" id="main">');		
			
			out.println(getInclude('sidebar.inc'));
			
			if (pageType === 'index') {
				out.println('\t\t<article class="cont thumbs-' + thumbstripPosition + 
					' thumbs-' + thumbstripVisibility + ' ' +
					(backgroundAudioAutoPlay? '' : ' paused') +
					' baseset" data-base>');
			} else {
				out.println('\t\t<article class="cont scrollable">');
					out.println('\t\t\t' + getTopBar());
					out.println('\t\t\t<section class="pages-cont ' +
							label.toLowerCase() + '-page' +
						'">');
			}
%>