<!doctype html>
<html ${htmlAttr} class="no-js" data-level="${level}">
	<!-- Generated by jAlbum: https://jalbum.net at ${currentDate} (<ja:if test="${license}" not value="">${license}</ja:if><ja:else>unregistered</ja:else>) -->
	<head>
		<meta charset="${textEncoding}">
		<meta http-equiv="x-ua-compatible" content="ie=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<title>${pageTitle}<ja:if exists="titleSEOText"> ${titleSEOText}</ja:if></title>
		<ja:if exists="headlineFont"><link rel="stylesheet" href="https://fonts.googleapis.com/css?family=<%= getGoogleFont(headlineFont) %>"></ja:if>
		<meta name="description" content="<ja:if exists="pageDescription">${pageDescription}</ja:if><ja:if exists="descriptionSEOText"> ${descriptionSEOText}</ja:if>">
		<ja:if exists="writer"><meta name="author" content="${writer}"></ja:if>
		<meta name="generator" content="jAlbum ${internalVersion} & ${skinName} ${skinVersion} [${styleName}]">
		<ja:if test=<%= typeof keywords !== 'undefined' || typeof albumTags !== 'undefined' %>><meta name="keywords" content="${keywords} ${albumTags}"></ja:if> 
		<ja:if exists="pageUrl"><meta property="og:url" content="${pageUrl}"></ja:if>
		<ja:if exists="pageThumbPath"><meta property="og:image" content="${pageThumbPath}">
		<meta property="og:image:width" content="600">
		<meta property="og:image:height" content="420">
		<link rel="image_src" href="${pageThumbPath}">
		<meta name="twitter:image" content="${pageThumbPath}"></ja:if>
		<meta property="og:title" content="${pageTitle}">
		<meta property="og:description" content="${pageDescription}">
		<meta property="og:type" content="website">
		<ja:if exists="facebookAppId"><meta property="fb:app_id" content="${facebookAppId}"></ja:if>
		<meta name="twitter:title" content="${pageTitle}">
		<meta name="twitter:card" content="summary">
		<meta name="twitter:description" content="${pageDescription}">
		<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="format-detection" content="telephone=no">
		<link rel="stylesheet" href="${resPath}/common.css?v=${skinVersion}">
		<%= getCustomPageCSS(currentObject); %>
		<ja:if test="${useFavicon}"><link rel="apple-touch-icon-precomposed" href="${resPath}/apple-touch-icon-144x144-precomposed.png">
		<link rel="icon" type="image/png" href="${resPath}/favicon-32x32.png" sizes="32x32">
		<link rel="icon" type="image/png" href="${resPath}/favicon-192x192.png" sizes="192x192">
		<!--[if IE]><link rel="shortcut icon" href="${resPath}/favicon.ico"><![endif]-->
		<meta name="msapplication-TileColor" content="#004b85">
		<meta name="msapplication-TileImage" content="${resPath}/tileicon.png"></ja:if>
		<meta name="theme-color" content="<%= getCssColor(topmenuColor) %>">
		<!--[if (lte IE 9)]><script src="${resPath}/modernizr.js"></script><![endif]-->
		<ja:if exists="headHook"><%= getProcessed(headHook) %></ja:if>
		<ja:if test="${googleAnalytics}" value="gtag">
		<script async src="https://www.googletagmanager.com/gtag/js?id=${googleSiteID}"></script>
		<script>
			window.dataLayer=window.dataLayer||[];
			function gtag(){dataLayer.push(arguments);}
			gtag('js',new Date());
			gtag('config','${googleSiteID}',{'send_page_view':false});
		</script>
		</ja:if>
	</head>
<%--------------------------------

		index page header 

--------------------------------%><%
		// BODY tag
		out.println('\t<body id="' + pageType + '" class="' + pageType + ' scrollable ' + 
			(level? 'sub-album' : 'top-level') + 
			((pageType === 'page')? (' ' + label.toLowerCase()) : '') +
			'">');
			
		/****************************** 
		 *	 Custom code above BODY
		 ******************************/
		 
		if (bodyTopHook && !(bodyTopTopLevelOnly && level)) {
			if (bodyTopFitWidth) {
				out.println('\t\t<div class="row above-body"><div class="columns">' + getProcessed(bodyTopHook) + '</div></div>');
			} else {
				out.println(getProcessed(bodyTopHook));
			}
		}
		
		/****************************** 
		 *			Top bar
		 ******************************/
		 
		if (logoName || topNavigation || (_useSearch && !moveSearchToHero) || backgroundMusic) {
			out.println('\t\t<div class="page-top"><div class="row"><div class="large-12 columns">');
			
			// Title bar < medium
			out.println('\t\t\t<div class="title-bar hide-for-medium" data-responsive-toggle="responsive-menu" data-hide-for="medium">');
			
				// Top navigation toggle
				if (topNavigation) {
					out.println('\t\t\t\t<button class="icon-menu" type="button" data-toggle="responsive-menu" data-tooltip title="' + getText('folders') + '"></button>');
				}
				
				// Logo
				if (logoName) {
					
					out.print('\t\t\t\t<div class="logo">');
					
					if (level > 0 || pageType === 'page') {
						// Subfolder or Page
						out.print('<a href="' + rootPath + '/' + indexName + '" data-tooltip title="' + getText('home') + '">' +
							'<img src="' + resPath + '/' + encodeURIComponent(logoName) + '" alt="logo">' +
							'</a>');
					} else if (homepageAddress) {
						// Has Home page address
						out.print('<a href="' + homepageAddress + '"' + 
							(homepageLinkText? (' data-tooltip title="' + homepageLinkText + '">') : '>') +
							'<img src="' + resPath + '/' + encodeURIComponent(logoName) + '" alt="logo">' +
							'</a>');
					} else {
						// Img w/o linking
						out.print('<img src="' + resPath + '/' + encodeURIComponent(logoName) + '" alt="logo">');
					}
					
					out.println('</div>');
				}
			
			out.println('\t\t\t</div>'); 				// Title bar
		
			// Top bar
			out.println('\t\t\t<div class="top-bar' + 
				(logoName? ' has-logo' : '') + 
				(topNavigation? ' has-menu' : '') + 
				(useSearch? ' has-search' : '') +
				'" id="responsive-menu">');
				
				// Top bar left
				out.print('\t\t\t\t<div class="top-bar-left">');
				
					// Logo
					if (logoName) {
						out.print('<div class="logo show-for-medium">');
						
						if (level > 0 || pageType === 'page') { 
							out.print('<a href="' + rootPath + '/' + indexName + '" data-tooltip title="' + getText('home') + '">' +
								'<img src="' + resPath + '/' + encodeURIComponent(logoName) + '" alt="logo">' +
								'</a>');
						} else if (homepageAddress) {
							out.print('<a href="' + homepageAddress + '"' + (homepageLinkText? (' data-tooltip title="' + homepageLinkText + '">') : '>') +
								'<img src="' + resPath + '/' + encodeURIComponent(logoName) + '" alt="logo">' +
								'</a>');
						} else {
							out.print('<img src="' + resPath + '/' + encodeURIComponent(logoName) + '" alt="logo">');
						}
						
						out.println('</div>');
					}
					
					// Top navigation
					if (topNavigation) {
						out.println(topNavigation);
					}
				
				out.println('\t\t\t\t</div>'); 			// Top bar left
					
				// Top bar right
				out.print('\t\t\t\t<div class="top-bar-right">');
					
					// Search
					if (_useSearch && !moveSearchToHero && pageType !== 'page') {
						out.print('<form class="search ' + (searchVisibleByDefault? 'active' : 'closed') +  '">' +
							'<div class="search-input"><input type="text" placeholder="' + getText('searchBoxTip') + '" aria-label="' + getText('search') + '"></div>' +
							'<a class="search-btn icon-search" data-tooltip title="' + getText('search') + '"></a>' +
							'</form>');
					}
						
					// Background audio
					if (backgroundAudio) {
						out.print(
							'<a class="player-btn btn" data-rel="playlist" data-audioplayer=\'' + JSON.stringify(jsAudioPlayerVars) + '\'>' +
							// Pause button
							'<svg class="pause-btn" width="20px" height="20px" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">' +
							'<g class="disc" fill="' + topmenuTextColor + '"><path d="M3.812,16.188C2.229,14.603,1.25,12.416,1.25,10s0.979-4.603,2.562-6.188L2.929,2.929C1.12,4.738,0,7.238,0,10s1.12,5.262,2.929,7.071L3.812,16.188z"></path>	<path d="M16.188,3.812C17.771,5.397,18.75,7.584,18.75,10s-0.979,4.603-2.562,6.188l0.883,0.883C18.88,15.262,20,12.762,20,10s-1.12-5.262-2.929-7.071L16.188,3.812z"></path></g>' +
							'<g class="pause-icon" fill="' + topmenuTextColor + '"><rect x="6" y="6" width="3" height="8"></rect><rect x="11" y="6" width="3" height="8"></rect></g>' +
							'</svg>' +
							// Play button
							'<svg class="play-btn" width="20px" height="20px" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">' +
							'<g class="play-icon" fill="' + topmenuTextColor + '"><path d="M10,0C4.477,0,0,4.477,0,10s4.477,10,10,10s10-4.477,10-10S15.523,0,10,0z M7,14.571V5.429L15,10L7,14.571z"></path></g>' +
							'</svg></a>');
					}
				
				out.println('\t\t\t\t</div>'); 			// Top bar right
			
			out.println('\t\t\t</div>'); 				// Top bar
					
			out.println('\t\t</div></div></div>'); 	// Page top		
		}

		/****************************** 
		 *			Hero
		 ******************************/
		
		 // Full width hero container
		out.println('\t\t<div class="hero"' + 
				((heroFullWidth && heroType !== 'flatColor')? (' style="background-image:url(' + ((heroType === 'albumImage')? (rootPath + '/') : '') + folderImageFileName + ');"') : '') +
			'>');
				
			out.println('\t\t\t<div class="row"><div class="large-12 columns">');
			
				// Page width hero container
				out.println('\t\t\t\t<div class="hero-image title-' + folderTitlePosition + '"' +
						((!heroFullWidth && heroType !== 'flatColor')? (' style="background-image:url(' + ((heroType === 'albumImage')? (rootPath + '/') : '') + folderImageFileName + ');"') : '') +
					'>');
				
					// Buttons
					out.println('\t\t\t\t\t<div class="buttons">' +
							(header? ('<a class="button icon-info" data-modal-open="album-info" data-tooltip title="' + getText('aboutThisAlbum') + '"></a>') : '') +
							(_anyShares? ('<a class="button icon-connect" data-modal-open="social-share" data-tooltip title="' + getText('shareAlbum') + '"></a>') : '') +
							((pageType === 'index' && zipFile)? ('<a href="' + zipFile + '" class="button icon-download" data-tooltip title="' + getText('downloadImages') + '" download></a>') : '') +
							(showHelp? ('<a class="button icon-question" data-modal-open="help" data-tooltip title="' + getText('help') + '"></a>') : '') +
						'</div>');
			
					// Header (page title)
					out.print('\t\t\t\t\t<header>');
					
						// Up link
						if (pageType === 'page') {
							out.print('<a class="back-btn nav-link icon-backward-light" href="' + indexName + '"></a>');
						} else if (level > 0) {
							out.print('<a class="back-btn nav-link icon-backward-light" href="../' + indexName + '" ');
							// Breadcrumb path as tooltip?
							if (showBreadcrumbPath === 'none') {
								out.print('data-tooltip title="' + getText('upOneLevel') + '"');
							} else if (showBreadcrumbPath === 'tooltip' && typeof breadcrumbPath !== 'undefined') {
								out.print('data-tooltip="#breadcrumb"');
							}
							out.print('></a>');
						} else if (homepageAddress) {
							out.print('<a class="back-btn nav-link icon-backward-light" href="' + homepageAddress + '" target="_parent" data-tooltip title="' +
									(homepageLinkText? homepageLinkText : getText('home')) + '">' +
								'</a>');
						}	
						
						// Folder title
						out.print('<div>' + folderTitle);
						// Breadcrumb path
						if (showBreadcrumbPath !== 'none' && typeof breadcrumbPath !== 'undefined') {
							out.print('<div id="breadcrumb" class="breadcrumb' + ((showBreadcrumbPath === 'tooltip')? ' hidden' : '') + '">' + breadcrumbPath + '</div>');
						}
						out.print('</div>');
						
						
					out.println('</header>');
					
					// Start slideshow button
					if (pageType !== 'page' && showStartSlideshow) {
						out.println('\t\t\t\t\t<div class="startshow"><span class="text">' + getText('startSlideshow') + '</span><a class="large button icon-play"></a></div>');
					}
			
					if (_useSearch && moveSearchToHero) {
						out.print('<form class="search">' +
							'<div class="search-input"><input type="text" placeholder="' + getText('searchBoxTip') + '" aria-label="' + getText('search') + '"></div>' +
							'<a class="search-btn button icon-search" data-tooltip title="' + getText('search') + '"></a>' +
							'</form>');
					}
					
				out.println('\t\t\t\t</div>');		// Hero container
		
			out.println('\t\t\t</div></div>');		// row
			
		out.println('\t\t</div>');			// Hero
		
		/****************************** 
		 *		  Main content
		 ******************************/
		 
		out.println('\t\t<div class="main" id="main">');
			out.println('\t\t\t<div class="row">');
				out.println('\t\t\t\t<div id="main-cont" class="columns">');
					out.println('\t\t\t\t\t<article class="cont' + ((pageType === 'page')? ' feedbox' : '') + '">');
%>