/* JAlbum tool that strips xmp description from files */
int processCount = 0;

Work.on(TreeCollection.of(selectedObjects).parallelStream().filter(ao -> ao.xmpManager != null))
.titled("Strip xmp description")
.inform("This script strips the xmp description from the xmp section of selected files, triggering import from other metadata sources")
.forEach(ao) -> {
	XmpManager mgr = ao.getXmpManager();
	if (mgr.getDescription() != null) {
		mgr.getXMPMeta().deleteProperty(XmpManager.dc_NS, "dc:description");
		mgr.save();
		processCount++;
	}
}
.showResult("Processed ${processCount} files");
window.statusBar.setText("Processed " + processCount + " objects");

// Refresh display
explorer.context.viewFolder(explorer.context.currentFolder);
