/* JAlbum tool that strips xmp title from files */
int processCount = 0;

Work.on(TreeCollection.of(selectedObjects).parallelStream().filter(ao -> ao.xmpManager != null))
.titled("Strip xmp title")
.inform("This script strips the xmp title from the xmp section of selected files")
.forEach(ao) -> {
	XmpManager mgr = ao.getXmpManager();
	if (mgr.getTitle() != null) {
		mgr.getXMPMeta().deleteProperty(XmpManager.dc_NS, "dc:title");
		mgr.save();
		processCount++;
	}
}
.showResult("Processed ${processCount} files");
window.statusBar.setText("Processed " + processCount + " objects");

// Refresh display
explorer.context.viewFolder(explorer.context.currentFolder);
